
![Logo](source/PYMODINS.png)


# PYMODINS

[pymodins](https://github.com/Nandhan-KA/pymodins) is more than just a tool for installing Python modules. It’s a guiding hand for newcomers, helping them navigate the complex landscape of Python development with ease. With pymodins, developers can quickly and effortlessly Install modules tailored to their specific needs, whether it’s basic modules for general programming tasks or advanced modules for specialized applications..


## Badges

[![MIT License](https://img.shields.io/badge/License-MIT-green.svg)](https://choosealicense.com/licenses/mit/)


## ✨ Features

- Easy Installation: Install multiple Python packages with a single command.

- Domain-Specific Packages: Choose from various - domains like Machine Learning, Deep Learning, Data Visualization, and more.

- Beginner Friendly: Simplifies the process of setting up Python environments for beginners.

- Automation: Automates the installation of commonly used Python packages.

- Extensible: Open to contributions and can be extended to include more modules and features.



## 🚀 Installation

```bash
git clone https://github.com/Nandhan-KA/pymodins.git

cd pymodins 

python setup.py Install 
```


Use the package manager [pip](https://pip.pypa.io/en/stable/) to Install pymodins.

```bash
pip Install pymodins
```

## 💻 Usage


Simply run ```pymodins``` in Administrator Command prompt or Admin Powershell

  or

```bash 
import pymodins
# Displays all Domains
pymodins.run()
```

```bash
# Install Basic Modules
pymodins.install_basic_modules()
```

```bash 
# Install Advanced Modules
pymodins.install_advanced_modules()
```

```bash 
# Install Science Modules
pymodins.install_science_modules()
```

```bash 
# Install Computer Vision Modules
pymodins.install_computervision_modules()
```

```bash 
# Install MachineLearning Modules()
pymodins.install_machinelearning_modules()
```

```bash 
# Install Deep Learning Modules
pymodins.install_deeplearning_modules()
```

```bash 
# Install Full Stack Development Modules
pymodins.install_fullstack_modules()
```

```bash 
# Install Network Modules
pymodins.install_network_modules()
```

```bash 
#Install Build Modules
pymodins.install_build_modules()
```

```bash 
# Install Jupyter Modules
pymodins.install_jupyter_modules()
```

```bash 
# Install Data visualization modules
pymodins.install_data_visualization_modules()
```

```bash 
# Install Database modules
pymodins.install_database_modules()
```

```bash 
# Install CyberSecurity modules
pymodins.install_CyberSecurity_modules()
```

```bash 
# Install Cloudcomputing modules
pymodins.install_cloudcomputing_modules()
```

```bash 
#Install Devops modules
pymodins.install_devops_modules()
```

```bash 
# Install Bigdata modules
pymodins.install_bigdata_modules()
```


## 🤝 Contributing

Pull requests are welcome. For major changes, please open an issue first
to discuss what you would like to change.

Please make sure to update tests as appropriate.

## 📜 License

[MIT](https://choosealicense.com/licenses/mit/)
```
                            MIT License

                    Copyright (c) 2024 Nandhan

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
```

## 🎯 Expected Output
![pymodins](source/run.png)


## 👥 Authors

- [@Nandhan K](https://www.github.com/Nandhan-Ka)


## 📜 Documentation

[Documentation](https://pymodins.readthedocs.io/en/latest/)


## 💬 Support

For support, email  nandhan2003alamelu@gmail.com 

# 🌈 Thank you for using this project!

# Feel free to ask your queries

# Feel free to Modify



## FAQ

#### Does this package can able to install packages of various domains?

Answer: Yes

#### Can users remodify this code and use it? 

Answer: Yes



